<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DevCamp-Task45</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">User</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Quản Lý</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Dương Xuân Đào</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
               CRUD
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="Creart.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p> Creart page</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="read.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>read page</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="Update.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Update page</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="Delete.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Delete page</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Creart</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Creart</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <div class="container-fluid">
        <h3 class="text-center m-4">Course 365 - Learning with unlimited!</h3>
        <div class="text-right m-4">
            <button data-target="#myModal" data-toggle="modal" id="btn-addnew" class="btn btn-success">Add New</button>
        </div>
       
        <table class="table table-bordered table-striped table-hover" id="users-table">
            <thead >
                <tr class="bg-info">
                    <th scope="col">id</th>
                    <th scope="col">courseCode</th>
                    <th scope="col">courseName</th>
                    <th scope="col">price</th>
                    <th scope="col">Discount</th>
                    <th scope="col">duration</th>
                    <th scope="col">level</th>
                    <th scope="col">coverImage</th>
                    <th scope="col">teacherName</th>
                    <th scope="col">teacherPhoto</th>
                    <th scope="col">Popular</th>
                    <th scope="col">Trending</th>
                    <th scope="col">action</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>


    <!-- Modal thêm mới -->
<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">
  
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">Thêm Mới Khóa Học</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
            <div class="row form-group">
                <div class="col-sm-6 row">
                    
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>courseCode</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-courseCode"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>price</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-price"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>courseName</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-courseName"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>Discount</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Discount"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>duration</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-duration"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>level</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-level"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>coverImage</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-coverImage"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>teacherName</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-teacherName"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>teacherPhoto</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-teacherPhoto"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>Popular </label></div>
                    <div class="col-sm-7"><input type="checkbox" id="inp-Popular"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>Trending</label></div>
                    <div class="col-sm-7"><input type="checkbox" id="inp-Trending"></div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" id="btn-them-moi" class="btn btn-success text-center" >Thêm</button>
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
  
    </div>
  </div>

<!-- Modal Sửa -->
  <div id="ModalEdit" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">
  
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">Sửa Khóa Học</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
            <div class="row form-group">
                <div class="col-sm-6 row">
                  <div class="col-sm-5"> <label>id</label></div>
                  <div class="col-sm-7"><input type="text" class="form-control" id="inp-id" disabled></div>
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>courseCode</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-courseCode"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>price</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-price"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>courseName</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-courseName"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>Discount</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-Discount"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>duration</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-duration"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>level</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-level"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>coverImage</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-coverImage"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>teacherName</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-teacherName"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>teacherPhoto</label></div>
                    <div class="col-sm-7"><input type="text" class="form-control" id="inp-Edit-teacherPhoto"></div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-6 row">
                    <div class="col-sm-5"><label>Popular </label></div>
                    <div class="col-sm-7"><input type="checkbox" id="inp-Edit-Popular"></div> 
                </div>
                <div class="col-sm-6 row">
                    <div class="col-sm-5"> <label>Trending</label></div>
                    <div class="col-sm-7"><input type="checkbox" id="inp-Edit-Trending"></div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
          <div class="form-group row col-sm-12">
            <div class="col-sm-5">
              <button id="btn-Xoa" class="btn btn-danger  col-sm-12" >Delete</button>
            </div>
            <div class="col-sm-5">
              <button id="btn-Edit" class="btn btn-success col-sm-12" >Edit</button>
            </div>
            <div class="col-sm-2">
              <button class="btn btn-default btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>
  
    </div>
  </div>

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

 <!-- Footer -->
 <footer class="text-center text-white" style="background-color:orange;">
  <h4 class="m-2 text-dark">Footer</h4>
  <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
  <!-- Grid container -->
  <div class="container pt-4">
    <!-- Section: Social media -->
    <section class="mb-4">
      <!-- Facebook -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-facebook-f"></i
      ></a>

      <!-- Twitter -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-twitter"></i
      ></a>

      <!-- Google -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-google"></i
      ></a>

      <!-- Instagram -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-instagram"></i
      ></a>

      <!-- Linkedin -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-linkedin"></i
      ></a>
      <!-- Github -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-github"></i
      ></a>
    </section>
    <!-- Section: Social media -->
  </div>
  <!-- Grid container -->

  <!-- Copyright -->
  <div class="text-center text-dark p-3" style="background-color: rgba(0, 0, 0, 0.2);">
    Lập Trình :
    <a class="text-dark" href="#">Powered By DEVCAMP</a>
  </div>
  <!-- Copyright -->
</footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>

<script>
  "use strict"
  $(document).ready(function(){

  
  var gCoursesDB = {
description: "This DB includes all courses in system",
courses: [
  {
    id: 1,
    courseCode: "FE_WEB_ANGULAR_101",
    courseName: "How to easily create a website with Angular",
    price: 750,
    discountPrice: 600,
    duration: "3h 56m",
    level: "Beginner",
    coverImage: "images/courses/course-angular.jpg",
    teacherName: "Morris Mccoy",
    teacherPhoto: "images/GirlXinh/Anh-Gai-Xinh-Vong-1-Khung 1.jpg",
    isPopular: true,
    isTrending: true,
  },
  {
    id: 2,
    courseCode: "BE_WEB_PYTHON_301",
    courseName: "The Python Course: build web application",
    price: 1050,
    discountPrice: 900,
    duration: "4h 30m",
    level: "Advanced",
    coverImage: "images/courses/course-python.jpg",
    teacherName: "Claire Robertson",
    teacherPhoto: "images/GirlXinh/Gai-xinh-nhieu-the-loai-31.jpg",
    isPopular: true,
    isTrending: true,
  },
  {
    id: 5,
    courseCode: "FE_WEB_GRAPHQL_104",
    courseName: "GraphQL: introduction to graphQL for beginners",
    price: 850,
    discountPrice: 650,
    duration: "2h 15m",
    level: "Intermediate",
    coverImage: "images/courses/course-graphql.jpg",
    teacherName: "Ted Hawkins",
    teacherPhoto: "images/GirlXinh/gai-xinh-toc-ngan-facebook.jpg",
    isPopular: true,
    isTrending: false,
  },
  {
    id: 6,
    courseCode: "FE_WEB_JS_210",
    courseName: "Getting Started with JavaScript",
    price: 550,
    discountPrice: 300,
    duration: "3h 34m",
    level: "Beginner",
    coverImage: "images/courses/course-javascript.jpg",
    teacherName: "Ted Hawkins",
    teacherPhoto: "images/GirlXinh/Hinh-Nen-Girl-Xinh-Full-HD-Cho-Laptop-Va-May.jpg",
    isPopular: true,
    isTrending: true,
  },
  {
    id: 8,
    courseCode: "FE_WEB_CSS_111",
    courseName: "CSS: ultimate CSS course from beginner to advanced",
    price: 750,
    discountPrice: 600,
    duration: "3h 56m",
    level: "Beginner",
    coverImage: "images/courses/course-javascript.jpg",
    teacherName: "Juanita Bell",
    teacherPhoto: "images/GirlXinh/images.jpg",
    isPopular: true,
    isTrending: true,
  },
  {
    id: 14,
    courseCode: "FE_WEB_WORDPRESS_111",
    courseName: "Complete Wordpress themes & plugins",
    price: 1050,
    discountPrice: 900,
    duration: "4h 30m",
    level: "Advanced",
    coverImage: "images/courses/course-wordpress.jpg",
    teacherName: "Clevaio Simon",
    teacherPhoto: "images/GirlXinh/Anh-Gai-Xinh-Vong-1-Khung 1.jpg",
    isPopular: true,
    isTrending: false,
  },
],
};
  //Vùng 1: định nghĩa global variable (biến toàn cục)
  const gARRAY_COL_NAME = ["id","courseCode","courseName","price","discountPrice","duration","level","coverImage","teacherName","teacherPhoto","isPopular","isTrending","action"]
  const gCOL_ID = 0;
  const gCOL_COURSECODE = 1;
  const gCOL_COURSENAME = 2;
  const gCOL_PRICE = 3;
  const gCOL_DISCOUNTPRICE = 4;
  const gCOL_DURATION = 5;
  const gCOL_LEVEL = 6;
  const gCOL_COVERIMAGE = 7;
  const gCOL_TEACHERNAME = 8;
  const gCOL_TEACHERPHOTO = 9;
  const gCOL_ISPOPULAR = 10;
  const gCOL_ISTRENDING = 11;
  const gCOL_ACTION = 12;
  var gSTT = 0;

var gIdEditForm = -1;
  var gThongTinKhoaHocMoi = {
      id: "",
      courseCode: "",
      courseName: "",
      price: "",
      discountPrice: "",
      duration: "",
      level: "",
      coverImage: "",
      teacherName: "",
      teacherPhoto: "",
      isPopular: false,
      isTrending: false,
  }






/*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
onPageLoading();
$("#btn-them-moi").on("click", function(){
  onbtnbtnthemmoiClick()
});
$("#btn-Edit").on("click", function(){
  onbtnEditClick();
});
$("#btn-Xoa").on("click", function(){
  onbtnXoaClick();
});
$("#users-table").on("click",".btn-edit", function(){
  onbtnDetailEditClick(this);
});
$("#users-table").on("click",".btn-delete", function(){
  onbtnDetaildeleteClick(this);
});


  

/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
function onPageLoading(){
  console.log("tai trang")
  $('#users-table').DataTable({
      data: gCoursesDB.courses,
      columns: [  
          { data: gARRAY_COL_NAME[gCOL_ID] },
          { data: gARRAY_COL_NAME[gCOL_COURSECODE] },
          { data: gARRAY_COL_NAME[gCOL_COURSENAME] },
          { data: gARRAY_COL_NAME[gCOL_PRICE] },
          { data: gARRAY_COL_NAME[gCOL_DISCOUNTPRICE] },
          { data: gARRAY_COL_NAME[gCOL_DURATION] },
          { data: gARRAY_COL_NAME[gCOL_LEVEL] },
          { data: gARRAY_COL_NAME[gCOL_COVERIMAGE] },
          { data: gARRAY_COL_NAME[gCOL_TEACHERNAME] },
          { data: gARRAY_COL_NAME[gCOL_TEACHERPHOTO] },
          { data: gARRAY_COL_NAME[gCOL_ISPOPULAR] },
          { data: gARRAY_COL_NAME[gCOL_ISTRENDING] },
          { data: gARRAY_COL_NAME[gCOL_ACTION] }
        ],
        columnDefs: [
          //   { 
          //     targets:gCOL_ID, 
          //     render: function(){
          //       gSTT++;
          //       return gSTT;
          //     }
          //   },   
            { 
              targets:gCOL_ACTION, 
              className: 'text-center',
              defaultContent:
                `
                <button type="button" class="btn btn-edit " id="btn-edit"><i class="fa-solid fa-pen-to-square"></i></button>
                <button type="button" class="btn btn-delete" id="btn-delete"><i class="fa-solid fa-trash-can"></i></button>
                `
            }, 
              {   targets: gCOL_TEACHERPHOTO,
                  render: function(data) {
                  return '<img style="height:100px ; width:90px" src="'+data+'">'
                  }
              },       
              {   targets: gCOL_COVERIMAGE,
                  render: function(data) {
                  return '<img style="height:100px ; width:90px" src="'+data+'">'
                  }
              },       
        ]



  })
}
// hàm xử lý xự kiện thêm mới dữ liệu vào form
function onbtnbtnthemmoiClick(){
  // B1 Thu thập dữ liệu
  readDataForm(gThongTinKhoaHocMoi);
  console.log(gThongTinKhoaHocMoi)
  // B2 validate Data
  var vCheck = validateDataForm(gThongTinKhoaHocMoi);
  if(vCheck){
      gCoursesDB.courses.push(gThongTinKhoaHocMoi);
      console.log(gCoursesDB.courses);    
      loadDaTaToTable(gCoursesDB.courses)
      resertCreateVoucherForm();
      $("#myModal").modal("hide");
  }
}
// hàm xử lý sự kiện sửa
function onbtnDetailEditClick(paramEditClick){
  var vRowSelect = $(paramEditClick).closest("tr")
  var vTable = $("#users-table").DataTable(); // tạo biến truy xuất đến dataTable
  var vRowData = vTable.row(vRowSelect).data();
  console.log(vRowData);
  $("#ModalEdit").modal("show");
  dataFormEdit(vRowData);
  gIdEditForm = vRowData.id ;
}
// sự kiện click nút sửa trên form modal
function onbtnEditClick(){
  var vDataFormEdit = {
    id: "",
    courseCode:"",
    courseName: "",
    price: "",
    discountPrice: "",
    duration: "",
    level: "",
    coverImage: "",
    teacherName: "",
    teacherPhoto: "",
    isPopular: false,
    isTrending: false,
  }
  // B1 Thu Thập Dữ Liệu
    readDataFormModalEdit(vDataFormEdit);
  // B2 Kiểm Tra Dữ Liệu
  var vCheckEditForm = validateEditForm(vDataFormEdit);
  if(vCheckEditForm){
  // B3 Sửa Dữ Liệu Và Hiển Thị Lại Trên Bảng
    console.log("ok")
    updateCourse(vDataFormEdit);
    $("#ModalEdit").modal("hide");
  };
  
  
  
}
// hàm xử lý sự kiện bật modal để xóa 
function onbtnDetaildeleteClick(paramdeleteClick){
  var vRowSelect = $(paramdeleteClick).closest("tr")
  var vTable = $("#users-table").DataTable(); // tạo biến truy xuất đến dataTable
  var vRowData = vTable.row(vRowSelect).data();
  console.log(vRowData);
  $("#ModalEdit").modal("show");
  dataFormEdit(vRowData);
  gIdEditForm = vRowData.id ;
}
  
// hàm xóa data bằng sự kiện delete click
function onbtnXoaClick(){
  // for (var bI = 0; bI < gCoursesDB.courses.length; bI++){
  //   if (gIdEditForm == gCoursesDB.courses[bI].id){
  //     gCoursesDB.courses[bI].splice();
  //     console.log( gCoursesDB.courses);
  //     loadDaTaToTable(gCoursesDB.courses);
  //     alert("xóa thành công")
  //   }
  // }
  gCoursesDB.courses = gCoursesDB.courses.filter(function(item){
    return item.id!=gIdEditForm
  });
  loadDaTaToTable(gCoursesDB.courses);
  alert("xóa thành công")
  $("#ModalEdit").modal("hi");
}
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
function updateCourse(paramCourseObject) {
  for (var bI = 0; bI < gCoursesDB.courses.length; bI++) {
    if (gIdEditForm == gCoursesDB.courses[bI].id)
      gCoursesDB.courses[bI] = paramCourseObject;
  }
  loadDaTaToTable(gCoursesDB.courses);
}

// thu thập dữ liệu trên modal edit
function readDataFormModalEdit(parameditdata){
parameditdata.id              = gIdEditForm;
parameditdata.courseCode      = $("#inp-Edit-courseCode").val().trim();
parameditdata.courseName      = $("#inp-Edit-courseName").val().trim();
parameditdata.price           = $("#inp-Edit-price").val().trim();
parameditdata.discountPrice   = $("#inp-Edit-Discount").val().trim();
parameditdata.duration        = $("#inp-Edit-duration").val().trim();
parameditdata.level           = $("#inp-Edit-level").val().trim();
parameditdata.coverImage      = $("#inp-Edit-coverImage").val().trim();
parameditdata.teacherName     = $("#inp-Edit-teacherName").val().trim();
parameditdata.teacherPhoto    = $("#inp-Edit-teacherPhoto").val().trim();
parameditdata.isPopular       = $('#inp-Edit-Popular').is(":checked");
parameditdata.isTrending      = $('#inp-Edit-Trending').is(":checked");
}
// kiểm tra dữ liệu trên modal edit
function validateEditForm(parameditdata){
"use strict"
if(parameditdata.courseCode == ""){
      alert("Chưa Nhập courseCode")
      return false;
  };
  if(parameditdata.courseName == ""){
      alert("Chưa Nhập courseName")
      return false;
  };
  if(parameditdata.price == ""){
      alert("Chưa Nhập price")
      return false;
  };
  if(parameditdata.Discount == ""){
      alert("Chưa Nhập Discount")
      return false;
  };
  if(parameditdata.duration == ""){
      alert("Chưa Nhập duration")
      return false;
  };
  if(parameditdata.level == ""){
      alert("Chưa Nhập level")
      return false;
  };
  if(parameditdata.coverImage == ""){
      alert("Chưa Nhập coverImage")
      return false;
  };
  if(parameditdata.teacherName == ""){
      alert("Chưa Nhập teacherName")
      return false;
  };
  if(parameditdata.teacherPhoto == ""){
      alert("Chưa Nhập teacherPhoto")
      return false;
  };
  return true ;
}


//thu Thập Dữ Liệu 
function readDataForm(paramObjectData){
  paramObjectData.id              = getNextId();
  paramObjectData.courseCode      = $("#inp-courseCode").val().trim();
  paramObjectData.courseName      = $("#inp-courseName").val().trim();
  paramObjectData.price           = $("#inp-price").val().trim();
  paramObjectData.discountPrice   = $("#inp-Discount").val().trim();
  paramObjectData.duration        = $("#inp-duration").val().trim();
  paramObjectData.level           = $("#inp-level").val().trim();
  paramObjectData.coverImage      = $("#inp-coverImage").val().trim();
  paramObjectData.teacherName     = $("#inp-teacherName").val().trim();
  paramObjectData.teacherPhoto    = $("#inp-teacherPhoto").val().trim();
  paramObjectData.isPopular       = $('#inp-Popular').is(":checked");
  paramObjectData.isTrending      = $('#inp-Trending').is(":checked");
};
//VAlidate Data
function validateDataForm(paramObjectData){
  if(paramObjectData.courseCode == ""){
      alert("Chưa Nhập courseCode")
      return false;
  };
  if(paramObjectData.courseName == ""){
      alert("Chưa Nhập courseName")
      return false;
  };
  if(paramObjectData.price == ""){
      alert("Chưa Nhập price")
      return false;
  };
  if(paramObjectData.Discount == ""){
      alert("Chưa Nhập Discount")
      return false;
  };
  if(paramObjectData.duration == ""){
      alert("Chưa Nhập duration")
      return false;
  };
  if(paramObjectData.level == ""){
      alert("Chưa Nhập level")
      return false;
  };
  if(paramObjectData.coverImage == ""){
      alert("Chưa Nhập coverImage")
      return false;
  };
  if(paramObjectData.teacherName == ""){
      alert("Chưa Nhập teacherName")
      return false;
  };
  if(paramObjectData.teacherPhoto == ""){
      alert("Chưa Nhập teacherPhoto")
      return false;
  };
  return true ;
}
// hàm reset modal thêm mới
function resertCreateVoucherForm(){
  $("#inp-courseCode").val("");
  $("#inp-courseName").val("");
  $("#inp-price").val("");
  $("#inp-Discount").val("");
  $("#inp-duration").val("");
  $("#inp-level").val("");
  $("#inp-coverImage").val("");
  $("#inp-teacherName").val("");
  $("#inp-teacherPhoto").val("");
  
}
// hàm load dâta vào bảng
function loadDaTaToTable(paramData){
          "use strict"
          var vTable = $("#users-table").DataTable(); // tạo biến truy xuất đến dataTable
          vTable.clear();
          vTable.rows.add(paramData);
          vTable.draw();
      }  
// hàm sinh ra đc id tự tăng tiếp theo, dùng khi Thêm mới phần tử
function getNextId() {
      var vNextId = 0;
      // Nếu mảng chưa có đối tượng nào thì Id = 1
      if(gCoursesDB.courses.length == 0) {
        vNextId = 1;
        }
      // Id tiếp theo bằng Id của phần tử cuối cùng + thêm 1    
      else {
        vNextId = gCoursesDB.courses[gCoursesDB.courses.length - 1].id + 1;
        }
        return vNextId;
      }
// gán dữ liệu vào bảng sửa 
function dataFormEdit(paramEditData){
  "use strict"
  $("#inp-id").val(paramEditData.id);
  $("#inp-Edit-courseCode").val(paramEditData.courseCode);
  $("#inp-Edit-courseName").val(paramEditData.courseName);
  $("#inp-Edit-price").val(paramEditData.price);
  $("#inp-Edit-Discount").val(paramEditData.discountPrice);
  $("#inp-Edit-duration").val(paramEditData.duration);
  $("#inp-Edit-level").val(paramEditData.level);
  $("#inp-Edit-coverImage").val(paramEditData.coverImage);
  $("#inp-Edit-teacherName").val(paramEditData.teacherName);
  $("#inp-Edit-teacherPhoto").val(paramEditData.teacherPhoto);
  // // $("#inp-Edit-Popular").val(paramEditData.isPopular);
  // $("#iinp-Edit-Trending").val(paramEditData.isTrending);\
    $("#inp-Edit-Popular").prop("checked",paramEditData.isPopular)
}

})
</script>
</body>
</html>
